Bug 982310 - Creating a project in a selected Working Set won't always display it in PyDev Package Manager
Creating a project in a selected Working Set won't always display it in PyDev...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eclipse-pydev (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Andrew Ferrazzutti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 11:50 EDT by Andrew Ferrazzutti
Modified: 2015-02-18 08:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:59:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Ferrazzutti 2013-07-08 11:50:34 EDT
Description of problem:
If a new project of any kind (including PyDev projects) is added to a Working Set upon creation, it will not immediately appear in the PyDev Package Explorer. This happens only if Working Sets are the top level elements, and if the W.Set the project was added to is the selected W.Set. To get the project to appear, you have to reselect the Working Set, or switch to Projects as the top-level elements (or switching to Projects and back to W.Sets).

Steps to Reproduce:
1. Enter the PyDev perspective, and in the PyDev Package Manager, select Working Sets as the top level elements. (Do so with the drop-down menu in the top-right corner of the PyDev P.Manager.)
2. In the PyDev Package Explorer, select a Working Set with the drop-down menu. (If none yet exist, create one.)
3. Create a new project. Make sure the New Project Wizard allows you to add it to a Working Set, and add the project to the Working Set you selected in Step 2.

Actual results:
The project is created but it doesn't appear in the PyDev Package Explorer.

Expected results:
The PyDev Package Explorer displays the newly-created project.

Additional info:
If Working Sets are the top level elements but no single Working Set is selected, the PyDev P.Manager always displays newly-created projects that were added to Working Sets. In that case, a project is selected and revealed in one of the W.Sets it was added to.

Furthermore, this problem doesn't happen when Projects are the top-level elements, whether or not a Working Set is selected. In that scenario, after the project is created, and if the W.Set the project was added to is the selected one, it immediately appears in the PyDev P.Manager without having to refresh it or reselect anything. This should happen even when W.Sets are the top level elements.

This problem also doesn't apply for the non-PyDev Package Manager, such as the one used by the Java Perspective.
Comment 1 Andrew Ferrazzutti 2013-10-17 15:25:03 EDT
This has been fixed for a while already, by d5c8f54. Forgot to update the status of this bug; doing so now.
Comment 2 Fedora End Of Life 2015-01-09 17:11:23 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-18 08:59:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.